# Google Cloud Documentation: https://cloud.google.com/sdk/gcloud/reference/firebase/test/android/run
# Flank Documentation: https://flank.github.io/flank/
gcloud:
  results-bucket: fenix_test_artifacts
  record-video: false
  timeout: 10m
  async: false

  app: /app/path

  auto-google-login: false
  use-orchestrator: true
  environment-variables:
    clearPackageData: true
  other-files:
    /data/local/tmp/org.mozilla.fenix.debug-geckoview-config.yaml: ./automation/taskcluster/androidTest/geckoview-configs/org.mozilla.fenix.debug-geckoview-config.yaml

  device:
    - model: java
      version: 30
      locale: en_US
    - model: MediumPhone.arm
      version: 32
      locale: en_US
    - model: redfin
      version: 30
      locale: en_US
    - model: oriole
      version: 31
      locale: en_US
    - model: e1q
      version: 34
      locale: en_US

  type: robo
  robo-script: ./automation/taskcluster/androidTest/robo-scripts/default-browser-dismissal.json

flank:
  project: GOOGLE_PROJECT
  num-test-runs: 1
  output-style: compact
  full-junit-result: true
